%define major		3
%define major_c		1
%define lib_name	%mklibname %{name} %{major}
%define lib_name_c	%mklibname %{name}_c %{major_c}

Name:        geos
Version:     3.0.0
Release:     %mkrel 1
License:     LGPL
Summary:     GEOS (Geometry Engine, Open Source) topology library
URL:         http://geos.refractions.net
Source:      %{name}-%{version}.tar.bz2
Group:       Sciences/Geosciences
BuildRequires: multiarch-utils

%description
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

%package -n %{lib_name}
Summary:	Libraries for GEOS
Group:		Sciences/Geosciences
Provides:	%{name} lib%{name}

%description -n %{lib_name}
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

%package -n %{lib_name_c}
Summary:	Libraries for GEOS
Group:		Sciences/Geosciences

%description -n %{lib_name_c}
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

%package -n %{lib_name}-devel
Summary:	Development Libraries for the GEOS topology library
Group:		Sciences/Geosciences
Requires:	%{lib_name} = %{version}
Requires:	%{lib_name_c} = %{version}
Provides:	%{name}-devel lib%{name}-devel

%description -n %{lib_name}-devel
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.


%prep
%setup -q

%build
%configure
%make

%install
rm -Rf $RPM_BUILD_ROOT
%makeinstall
%{__rm} -f %{buildroot}/%{_libdir}/*.la
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/geos-config

%clean
rm -Rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%post -n %{lib_name_c} -p /sbin/ldconfig
%postun -n %{lib_name_c} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libgeos-%{major}.*.so

%files -n %{lib_name_c}
%defattr(-,root,root)
%{_libdir}/libgeos_c.so.%{major_c}
%{_libdir}/libgeos_c.so.%{major_c}.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%multiarch %{multiarch_bindir}/geos-config
%{_bindir}/geos-config
%{_bindir}/XMLTester
%dir %{_includedir}/geos
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a





%changelog
* Sun Dec 30 2007 Emmanuel Andry <eandry@mandriva.org> 3.0.0-1mdv2008.1
+ Revision: 139606
- New version
- use major

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Jan 27 2007 Anssi Hannula <anssi@mandriva.org> 2.2.3-2mdv2007.0
+ Revision: 114404
- fix missing require from -devel package

* Sat Aug 05 2006 Helio Chissini de Castro <helio@mandriva.com> 2.2.3-1mdv2007.0
+ Revision: 51711
- New upstream version 2.2.3, gcc 4 compliant
- import geos-2.1.4-1mdk

* Fri Sep 02 2005 Michael Scherer <misc@mandriva.org> 2.1.4-1mdk
- New release 2.1.4

* Wed Aug 24 2005 Michael Scherer <misc@mandriva.org> 2.1.3-1mdk
- New release 2.1.3
- mkrel, multiarch

* Sun Oct 31 2004 Michael Scherer <misc@mandrake.org> 2.0.1-1mdk
- 2.0.1
- from Jorrit Jorritsma <jjorritsma@aboveit.nl>
  - src rpm borrowed from postgis.refractions.net
  - altered specfile to make it conform Mandake cooker specs

